Anonymous Login
2019-08-20 01:14 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000412v2.0 Release (Closed)[All Projects] Generalpublic2010-06-21 21:17
Reporterpacho 
Assigned Tocaseydk 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Versionv2.0.0 
Summary0000412: Creating dependant projects fails
DescriptionA user is trying to add an existing project as a subproject but could not find the according project. So the user tried to re-enter the subproject's data and an excepetion occurred (see additional info). it seems that the Shortdescription was too long??? Is this not checked???

I can live that an error occurs - even if a hint to the user regarding the field length would be better.

I CANNOT LIVE WITH: That this is now the second error that occurred and the full DB access, including the admin password is displayed with the error!
-> It should be avoided that within the error message a user name and especially the DB-admin password is displayed.
Additional InformationERROR: C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\query.class.php(1170) : query failed(INSERT INTO `projects`(`project_company`,`project_name`,`project_short_name`,`project_owner`,`project_start_date`,`project_end_date`,`project_status`,`project_color_identifier`,`project_description`,`project_creator`,`project_active`,`project_priority`,`project_type`,`project_parent`,`project_original_parent`,`project_updated`,`project_created`) VALUES ('1','ß-Test medico 18.00','ß-test med','6','2010-05-31 00:00:00','2010-07-01 23:59:59','2','FFFFFF','ß-Test Bettendispo und neues UI','6',1,'1','0','185','185',NOW(),NOW())) - error was: Data too long for column 'project_short_name' at row 1
Backtrace:
0 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\query.class.php:1170 dprint('C:\\Program Files\\Apache Software Foundation\\Apache2.2\\htdocs\\w2p\\classes\\query.class.php',1170,0,'query failed(INSERT INTO `projects`(`project_company`,`project_name`,`project_short_name`,`project_owner`,`project_start_date`,`project_end_date`,`project_status`,`project_color_identifier`,`project_description`,`project_creator`,`project_active`,`project_priority`,`project_type`,`project_parent`,`project_original_parent`,`project_updated`,`project_created`) VALUES (\'1\',\'ß-Test medico 18.00\',\'ß-test med\',\'6\',\'2010-05-31 00:00:00\',\'2010-07-01 23:59:59\',\'2\',\'FFFFFF\',\'ß-Test Bettendispo und neues UI\',\'6\',1,\'1\',\'0\',\'185\',\'185\',NOW(),NOW())) - error was: Data too long for column \'project_short_name\' at row 1')
1 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\query.class.php:1680 exec()
2 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\w2p.class.php:223 insertObject('projects',CProject::__set_state(array(
   'project_id' => 0,
   'project_company' => '1',
   'project_department' => NULL,
   'project_name' => 'ß-Test medico 18.00',
   'project_short_name' => 'ß-test med',
   'project_owner' => '6',
   'project_url' => '',
   'project_demo_url' => '',
   'project_start_date' => '2010-05-31 00:00:00',
   'project_end_date' => '2010-07-01 23:59:59',
   'project_actual_end_date' => NULL,
   'project_status' => '2',
   'project_percent_complete' => NULL,
   'project_color_identifier' => 'FFFFFF',
   'project_description' => 'ß-Test Bettendispo und neues UI',
   'project_target_budget' => 0,
   'project_actual_budget' => 0,
   'project_scheduled_hours' => NULL,
   'project_worked_hours' => NULL,
   'project_task_count' => NULL,
   'project_creator' => '6',
   'project_active' => 1,
   'project_private' => 0,
   'project_departments' => '',
   'project_contacts' => '',
   'project_priority' => '1',
   'project_type' => '0',
   'project_parent' => '185',
   'project_original_parent' => '185',
   'project_location' => '',
   '_tbl_prefix' => '',
   '_tbl' => 'projects',
   '_tbl_key' => 'project_id',
   '_error' => '',
   '_query' =>
  DBQuery::__set_state(array(
     'query' => NULL,
     'table_list' => NULL,
     'where' => NULL,
     'order_by' => NULL,
     'group_by' => NULL,
     'having' => NULL,
     'limit' => NULL,
     'offset' => -1,
     'join' => NULL,
     'type' => 'select',
     'update_list' => NULL,
     'value_list' => NULL,
     'create_table' => NULL,
     'create_definition' => NULL,
     'include_count' => false,
     '_table_prefix' => '',
     '_query_id' => NULL,
     '_old_style' => NULL,
     '_db' =>
    ADODB_mysql::__set_state(array(
       'databaseType' => 'mysql',
       'dataProvider' => 'mysql',
       'hasInsertID' => true,
       'hasAffectedRows' => true,
       'metaTablesSQL' => 'SHOW TABLES',
       'metaColumnsSQL' => 'SHOW COLUMNS FROM `%s`',
       'fmtTimeStamp' => '\'Y-m-d H:i:s\'',
       'hasLimit' => true,
       'hasMoveFirst' => true,
       'hasGenID' => true,
       'isoDates' => true,
       'sysDate' => 'CURDATE()',
       'sysTimeStamp' => 'NOW()',
       'hasTransactions' => false,
       'forceNewConnect' => false,
       'poorAffectedRows' => true,
       'clientFlags' => 0,
       'substr' => 'substring',
       'nameQuote' => '`',
       'compat323' => false,
       '_genIDSQL' => 'update %s set id=LAST_INSERT_ID(id+1);',
       '_genSeqSQL' => 'create table %s (id int not null)',
       '_genSeqCountSQL' => 'select count(*) from %s',
       '_genSeq2SQL' => 'insert into %s values (%s)',
       '_dropSeqSQL' => 'drop table %s',
       'database' => 'dotproject',
       'host' => 'localhost',
       'user' => 'root',
       'password' => 'xxxxxxxxx',
       'debug' => false,
       'maxblobsize' => 262144,
       'concat_operator' => '+',
       'length' => 'length',
       'random' => 'rand()',
       'upperCase' => 'upper',
       'fmtDate' => '\'Y-m-d\'',
       'true' => '1',
       'false' => '0',
       'replaceQuote' => '\\\'',
       'charSet' => false,
       'metaDatabasesSQL' => '',
       'uniqueOrderBy' => false,
       'emptyDate' => ' ',
       'emptyTimeStamp' => ' ',
       'lastInsID' => false,
       'hasTop' => false,
       'readOnly' => false,
       'genID' => 0,
       'raiseErrorFn' => false,
       'cacheSecs' => 3600,
       'memCache' => false,
       'memCacheHost' => NULL,
       'memCachePort' => 11211,
       'memCacheCompress' => false,
       'sysUTimeStamp' => false,
       'arrayClass' => 'ADORecordSet_array',
       'noNullStrings' => false,
       'numCacheHits' => 0,
       'numCacheMisses' => 0,
       'pageExecuteCountRows' => true,
       'uniqueSort' => false,
       'leftOuter' => false,
       'rightOuter' => false,
       'ansiOuter' => false,
       'autoRollback' => false,
       'fnExecute' => false,
       'fnCacheExecute' => false,
       'blobEncodeType' => false,
       'rsPrefix' => 'ADORecordSet_',
       'autoCommit' => true,
       'transOff' => 0,
       'transCnt' => 0,
       'fetchMode' => false,
       'null2null' => 'null',
       '_oldRaiseFn' => false,
       '_transOK' => NULL,
       '_connectionID' => NULL,
       '_errorMsg' => 'Data too long for column \'project_short_name\' at row 1',
       '_errorCode' => false,
       '_queryID' => false,
       '_isPersistentConnection' => false,
       '_bindInputArray' => false,
       '_evalAll' => false,
       '_affected' => false,
       '_logsql' => false,
       '_transmode' => '',
       'databaseName' => 'dotproject',
    )),
     '_db_funcs' =>
    array (
      0 => 'NOW()',
    ),
  )),
   'project_updated' => 'NOW()',
   'project_created' => 'NOW()',
)),'project_id')
3 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\modules\projects\projects.class.php:542 store()
4 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\modules\projects\do_project_aed.php:18 store(CAppUI::__set_state(array(
   'state' =>
  array (
    'SAVEDPLACE-1' => 'm=projects',
    'SAVEDPLACE' => 'update_project_status=1&m=projects&project_status=0',
    'ProjIdxTab' => 0,
    'ProjIdxCompany' => '0',
    'ProjIdxOrderDir' => 'desc',
    'ProjIdxOrderBy' => 'task_log_problem',
    'ProjVwTab' => 0,
    'TaskListShowIncomplete' => 0,
    'projsearchtext' => ' medico Release 18.00',
    'ProjIdxowner' => 0,
    'ProjIdxDepartment' => 'company_0',
    'ProjectIdxFilter' => '-1',
  ),
   'user_id' => '6',
   'user_first_name' => 'Fr.',
   'user_last_name' => 'Nolte',
   'user_company' => '0',
   'user_department' => '0',
   'user_email' => 'med.uni-duesseldorf.de@med.uni-duesseldorf.de',
   'user_type' => '0',
   'user_prefs' =>
  array (
    'LOCALE' => 'de_DE',
    'TABVIEW' => '0',
    'SHDATEFORMAT' => '%d.%m.%Y',
    'TIMEFORMAT' => '%H:%M',
    'UISTYLE' => 'web2project',
    'TASKASSIGNMAX' => '100',
    'USERFORMAT' => 'user',
    'CURRENCYFORM' => 'de_DE',
    'EVENTFILTER' => 'my',
    'MAILALL' => '0',
    'TASKLOGEMAIL' => '0',
    'TASKLOGSUBJ' => '',
    'TASKLOGNOTE' => '0',
    'TASKSEXPANDED' => '1',
    'LGDATEFORMAT' => '%B %d, %Y',
    'TIMEZONE' => 'America/New_York',
    'DAYLIGHTSAVINGS' => '1',
  ),
   'day_selected' => NULL,
   'user_locale' => 'de',
   'user_lang' =>
  array (
    0 => 'de_DE.utf-8',
    1 => 'de',
    2 => 'de_DE',
    3 => 'de',
  ),
   'base_locale' => 'en',
   'msg' => '',
   'msgNo' => 0,
   'defaultRedirect' => '',
   'cfg' =>
  array (
    'locale_warn' => false,
  ),
   'version_major' => 1,
   'version_minor' => 3,
   'version_patch' => 0,
   'version_string' => '1.3.0-pre',
   'last_insert_id' => '185',
   'user_style' => NULL,
   'user_is_admin' => 0,
   'objStore' => NULL,
   'project_id' => 0,
   'boxTopRendered' => true,
)))
5 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\index.php:253 require('C:\\Program Files\\Apache Software Foundation\\Apache2.2\\htdocs\\w2p\\modules\\projects\\do_project_aed.php')
 

TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000856

caseydk (administrator)

The string length validations are done using mb_string functions, please update and double check.

Further, the error message is fixed in r1069 to not display db credentials.

~0000888

caseydk (administrator)

Resolved.
+Notes

-Issue History
Date Modified Username Field Change
2010-04-22 07:40 pacho New Issue
2010-04-29 19:25 caseydk Status new => assigned
2010-04-29 19:25 caseydk Assigned To => caseydk
2010-05-04 19:43 caseydk Project v1.3 Release (Closed) => v2.0 Release (Closed)
2010-05-04 19:48 caseydk Note Added: 0000856
2010-05-04 19:48 caseydk Status assigned => feedback
2010-05-23 20:14 caseydk Note Added: 0000888
2010-05-23 20:14 caseydk Status feedback => resolved
2010-05-23 20:14 caseydk Resolution open => fixed
2010-06-21 21:17 caseydk Status resolved => closed
2010-06-21 21:17 caseydk Fixed in Version => v2.0
+Issue History